summaryrefslogtreecommitdiffstats
path: root/testing/drizzle/drizzle.initd
diff options
context:
space:
mode:
authorKiyoshi Aman <aphrael@alpinelinux.org>2011-04-02 08:22:17 -0400
committerKiyoshi Aman <aphrael@alpinelinux.org>2011-04-04 09:14:00 -0400
commit3047f559ec6ad0d64ee68c630b1e838326f4f46a (patch)
tree5d78d36f086f67896ee544d5c789cf942755e6d7 /testing/drizzle/drizzle.initd
parent6b3a963d7662960c0467d54c99e72b3ed8d39b3e (diff)
downloadaports-fcolista-3047f559ec6ad0d64ee68c630b1e838326f4f46a.tar.bz2
aports-fcolista-3047f559ec6ad0d64ee68c630b1e838326f4f46a.tar.xz
testing/drizzle: new aport
Diffstat (limited to 'testing/drizzle/drizzle.initd')
-rw-r--r--testing/drizzle/drizzle.initd29
1 files changed, 29 insertions, 0 deletions
diff --git a/testing/drizzle/drizzle.initd b/testing/drizzle/drizzle.initd
new file mode 100644
index 0000000000..55bdd9bf21
--- /dev/null
+++ b/testing/drizzle/drizzle.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+
+# Sample init.d file for alpine linux.
+
+name=drizzle
+daemon=/usr/sbin/$name
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${name}"
+ start-stop-daemon --start --quiet \
+ --pidfile /var/run/${name}.pid \
+ --chuid drizzle:drizzle \
+ --exec ${daemon}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ start-stop-daemon --stop --quiet \
+ --pidfile /var/run/$name.pid \
+ --exec ${daemon}
+ eend $?
+}
+